Page MenuHomePhabricator

Add Srishti to analytics-privatedata-users
Closed, ResolvedPublic

Description

I'm using EventLogging for a user feedback gadget that will be deployed on MediaWiki/Wikitech-I as a means to gather feedback on technical documentation. More here: T195119.

To look into the production logs, I would need access to analytics-privatedata-users.

@srishakatux is my Phabricator/Gerrit/Wikimedia Developer account username.

cc'ing @bd808 (my manager).

  • - User has signed the L3 Acknowledgement of Wikimedia Server Access Responsibilities Document.
  • - User has a valid NDA on file with WMF legal (included in all WMF staff hiring)
  • - User has provided the following: wikitech username, preferred shell username, email address, and full reasoning for access (including what commands and/or tasks they expect to perform.
  • - User has provided a public SSH key. This ssh key pair should only be used for WMF cluster access, and not share with any other service (this includes not sharing with WMCS access, no shared keys.)
  • - access request (or expansion) has sign off of WMF sponsor/manager (sponser for volunteers, manager for wmf staff)
  • - non-sudo requests: 3 business day wait must pass with no objections being noted on the task
  • - Patchset for access request

Event Timeline

srishakatux triaged this task as Medium priority.Jan 15 2019, 1:35 AM
srishakatux created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 15 2019, 1:35 AM
srishakatux removed srishakatux as the assignee of this task.Jan 15 2019, 1:35 AM
CDanis added a subscriber: CDanis.Jan 15 2019, 3:47 PM

Hi Srisha,

Looks like this is also a request for production shell access, so there's a little more work for you to do.

I'm about to update the task with an overall checklist, but the things for you to do are:

  • sign the L3 Acknowledgement of Wikimedia Server Access Responsibilities agreement
  • submit a freshly-created SSH public key that isn't shared with any other service
  • confirm that you'd like your production shell username to be srishakatux
CDanis updated the task description. (Show Details)
CDanis added a subscriber: Nuria.Jan 15 2019, 4:01 PM
bd808 added a comment.Jan 15 2019, 5:06 PM

This comment is my manager level approval for these rights

CDanis updated the task description. (Show Details)Jan 15 2019, 5:45 PM

Hi Srishti,

Just wanted to check in and see if you needed any assistance? Please let me know :)

@CDanis Thanks for checking in! I've signed the L3 document. Here is a copy of my public key explicitly generated for wmf cluster access.

ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDTbsoRC1ieQ6+ru0TU7RistfbwsH7MqGYRy5fYNJtc0/MorLs+85LZ0YbgaaKeoUI9XwUk5ZN4DtHrki3X9vCKNu0ss4KKVD7O3XfVbTR8Oztbg11zhGGlUf/zU9mhIUVyqrk5TQFF8GfwfzImaXoBhkB6RtwaODVb2r+ZwKWQYseAVDBVrHHD2vCKjarQpDhJdPjuNw0bbwFk3QBKgAdKU0GBJHHR91WhTsB5tXSkZW8II83M9w+0tHIKUHMiMihuKRy61OgTvkZdYE3cvAJHB310Rl5KPEeihV3/2eqCW2BW6qRB+iMpaO72dh8QSn1CGR7UxUYJKULhr4fOi/K3 ssethi@wmf1699.local

And, I confirm that I would like production shell username to be srishakatux

CDanis claimed this task.Jan 17 2019, 6:48 PM
CDanis updated the task description. (Show Details)
CDanis updated the task description. (Show Details)Jan 18 2019, 1:54 PM

Change 485186 had a related patch set uploaded (by CDanis; owner: CDanis):
[operations/puppet@production] srishakatux: shell access and analytics-privatedata-users

https://gerrit.wikimedia.org/r/485186

Change 485186 merged by CDanis:
[operations/puppet@production] srishakatux: shell access and analytics-privatedata-users

https://gerrit.wikimedia.org/r/485186

CDanis closed this task as Resolved.Jan 18 2019, 2:09 PM

You should be all set.

CDanis updated the task description. (Show Details)Jan 18 2019, 2:09 PM